opj_jp2_pclr Struct Reference

Palette data: table entries, palette columns. More...

`#include <jp2.h>`

## Data Fields

OPJ_UINT32 * | entries
OPJ_BYTE * | channel_sign
OPJ_BYTE * | channel_size
opj_jp2_cmap_comp_t * | cmap
OPJ_UINT16 | nr_entries
OPJ_BYTE | nr_channels

## Detailed Description

Palette data: table entries, palette columns.

## Field Documentation

## channel_sign

OPJ_BYTE* opj_jp2_pclr::channel_sign

Referenced by opj_jp2_apply_pclr(), opj_jp2_destroy(), opj_jp2_free_pclr(), and opj_jp2_read_pclr().

## channel_size

OPJ_BYTE* opj_jp2_pclr::channel_size

Referenced by opj_jp2_apply_pclr(), opj_jp2_destroy(), opj_jp2_free_pclr(), and opj_jp2_read_pclr().

## cmap

opj_jp2_cmap_comp_t* opj_jp2_pclr::cmap

Referenced by opj_jp2_apply_color_postprocessing(), opj_jp2_apply_pclr(), opj_jp2_check_color(), opj_jp2_destroy(), opj_jp2_free_pclr(), opj_jp2_read_cmap(), and opj_jp2_read_pclr().

## entries

OPJ_UINT32* opj_jp2_pclr::entries

Referenced by opj_jp2_apply_pclr(), opj_jp2_destroy(), opj_jp2_free_pclr(), and opj_jp2_read_pclr().

## nr_channels

OPJ_BYTE opj_jp2_pclr::nr_channels

Referenced by opj_jp2_apply_pclr(), opj_jp2_check_color(), opj_jp2_read_cmap(), and opj_jp2_read_pclr().

## nr_entries

OPJ_UINT16 opj_jp2_pclr::nr_entries

Referenced by opj_jp2_apply_pclr(), and opj_jp2_read_pclr().

The documentation for this struct was generated from the following file:

- jp2.h